Bug 97943 - CONFIG_SUMMIT=y is lost on make oldconfig/menuconfig
CONFIG_SUMMIT=y is lost on make oldconfig/menuconfig
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 09:20 EDT by Sebastian Wenner
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-25 05:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Wenner 2003-06-24 09:20:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030530 Galeon/1.3.4

Description of problem:
When trying to configure a summit kernel the option CONFIG_SUMMIT=y is lost
during the configuration process.
This results in a incomplete kernel which is not capable of fully handling the
summit-chipset.

Version-Release number of selected component (if applicable):
kernel-source-2.4.9-e.12 and later

How reproducible:
Always

Steps to Reproduce:
1. cp configs/kernel-2.4.9-i686-summit.config .config
2. grep -i summit .config
-> CONFIG_SUMMIT=y
3. make oldconfig
4. grep -i summit .config
-> nothing
    

Additional info:
Comment 1 Arjan van de Ven 2003-06-24 09:23:11 EDT
without manually applying the summit patches this is expected behavior.
Please apply the summit patches manually first.
Comment 2 Sebastian Wenner 2003-06-25 05:32:23 EDT
applying the patches fixed it.
oldconfig is now working and I'm seeing all of the CPUs.

thanks fpr your help :)

Note You need to log in before you can comment on or make changes to this bug.